#define LINT_ARGS 1      /* Enable Compiler Parameter Checking */
#include <stdio.h>
#include <math.h>

/*

Estimate means and covariances from a set of sample data.

This module just reads the parameter header from the input,
forwards it, and extracts 'num_grps' and 'grp_size'.
(Unlike 'stats.c', it knows something about the details of 
the application).

*/


void read_header (num_grps, grp_size)

int *num_grps, *grp_size ;

{
  int length, num_mesons, num_masses ;
  int i ;

  scanf ("%d %d %d", &num_masses, &num_mesons, &length) ;
  printf ("%6d %6d %6d\n", num_masses, num_mesons, length) ;
  
  for (i = 0; i < num_masses; i++)
  {
    float k_fermion_1, k_fermion_2 ;

    scanf  ("%f %f", &k_fermion_1, &k_fermion_2) ;
    printf ("%f %f\n", k_fermion_1, k_fermion_2) ;
  }

  printf ("\n") ;
  *num_grps = num_masses * num_mesons ;
  *grp_size = length ;
  printf ("%d %d\n\n", *num_grps, *grp_size) ;
}

/*
--
--     End of File.
--
*/
